Summary:        inotify-tools utility for Linux filesystem event monitoring
Name:           inotify-tools
Version:        4.23.9.0
Release:        2%{?dist}
License:        GPL-2.0
URL:            https://github.com/inotify-tools/inotify-tools
Source0:        https://github.com/inotify-tools/inotify-tools/archive/%{version}/inotify-tools-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ autoconf automake make libtool

%description
inotify-tools is a set of command-line programs for Linux providing a simple interface to inotify. 
These programs can be used to monitor and act upon filesystem events. 
A more detailed description of the programs is available at the inotify-tools website: %{URL}

%package devel
Summary:        Development files for inotifytools
Requires:       inotify-tools = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
Development files for inotifytools.

%prep
%autosetup 

%build
autoreconf -vfi
%configure --disable-static

%make_build

%install
%make_install

%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%{_bindir}/fsnotifywait
%{_bindir}/fsnotifywatch
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*
%{_mandir}/man1/fsnotifywait.1*
%{_mandir}/man1/fsnotifywatch.1*
%{_libdir}/libinotifytools.so.0*
%{_libdir}/libinotifytools.so.0.4.1

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%{_includedir}/inotifytools
%{_libdir}/libinotifytools.so
%{_libdir}/libinotifytools.la

%changelog
* Mon Jan 29 2024 kianli <kianli@tencent.com> - 4.23.9.0-2
- Fix build issues by completing the buildrequires
- Upload the sources to tarball

* Tue Oct 10 2023 QianShi <1835038031@qq.com> - 4.23.9.0-1
- Initial commit of inotify-tools package for OpenCloudOS adaptation.
